package java.awt;

import java.util.Arrays;
import sun.awt.image.IntegerComponentRaster;
import java.awt.image.Raster;
import java.awt.image.ColorModel;
import java.awt.image.WritableRaster;

class ColorPaintContext implements PaintContext
{
    int color;
    WritableRaster savedTile;
    
    protected ColorPaintContext(int color, ColorModel colorModel) {
        this.color = color;
    }
    
    @Override
    public void dispose() {
    }
    
    int getRGB() {
        return this.color;
    }
    
    @Override
    public ColorModel getColorModel() {
        return ColorModel.getRGBdefault();
    }
    
    @Override
    public synchronized Raster getRaster(int n, int n2, int w, int h) {
        WritableRaster savedTile = this.savedTile;
        if (savedTile == null || w > savedTile.getWidth() || h > savedTile.getHeight()) {
            savedTile = this.getColorModel().createCompatibleWritableRaster(w, h);
            IntegerComponentRaster integerComponentRaster = (IntegerComponentRaster)savedTile;
            Arrays.fill(integerComponentRaster.getDataStorage(), this.color);
            integerComponentRaster.markDirty();
            if (w <= 64 && h <= 64) {
                this.savedTile = savedTile;
            }
        }
        return savedTile;
    }
}
